Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -8339,124 +8379,114 @@
               surf_usm_v(l)%shf(m) = surf_usm_v(l)%wshf_eb(m) / c_p
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-if (surf_usm_v(l)%frac(ind_pav_green,m).gt.0.0_wp) then !111
-
-! print*, "tsurfroofgreen",m,t_surf_green_h_p(m),i,j,k,surf_usm_h%wghf_eb_green(m),surf_usm_h%rad_net_l(m),&
-!         surf_usm_h%wshf_eb(m),f_qsws_veg,f_qsws_liq,dq_s_dt
-! print*, "B",surf_usm_h%rad_sw_in(m),surf_usm_h%rad_sw_out(m),surf_usm_h%rad_lw_in(m),surf_usm_h%rad_lw_out(m)
-! print*, "lambdasurface",lambda_surface_green,lambda_surface,i,j,k
-! print*, "fractions",i,j,k,surf_usm_h%frac(0:2,m)
-if ((t_surf_green_v_p(l)%t(m).gt.370.0_wp).or.(t_surf_green_v_p(l)%t(m).lt.250.0_wp)) then
-  print*, t_surf_green_v_p(l)%t(m),m,i,j,k
-  stop
-endif
-
-       IF ( humidity )  THEN
-          surf_usm_v(l)%qsws_eb(m)  = - f_qsws * ( qv1 - q_s + dq_s_dt                     &
-                          * t_surf_green_v(l)%t(m) - dq_s_dt *               &
-                            t_surf_green_v_p(l)%t(m) )
-
-          surf_usm_v(l)%qsws(m) = surf_usm_v(l)%qsws_eb(m) / rho_lv
-
-          surf_usm_v(l)%qsws_veg(m)  = - f_qsws_veg  * ( qv1 - q_s                      &
-                              + dq_s_dt * t_surf_green_v(l)%t(m) - dq_s_dt   &
-                              * t_surf_green_v_p(l)%t(m) )
-
-!           surf_usm_h%qsws_liq(m)  = - f_qsws_liq  * ( qv1 - q_s                      &
-!                               + dq_s_dt * t_surf_green_h(m) - dq_s_dt   &
-!                               * t_surf_green_h_p(m) )
-       ENDIF
-
-!
-!--    Calculate the true surface resistance
-       IF ( .NOT.  humidity )  THEN
-          surf_usm_v(l)%r_s(m) = 1.0E10_wp
-       ELSE
-          surf_usm_v(l)%r_s(m) = - rho_lv * ( qv1 - q_s + dq_s_dt                       &
-                          *  t_surf_green_v(l)%t(m) - dq_s_dt *               &
-                            t_surf_green_v_p(l)%t(m) ) /                     &
-                            (surf_usm_v(l)%qsws(m) + 1.0E-20)  - surf_usm_v(l)%r_a(m)
-       ENDIF
-
+              IF ( surf_usm_v(l)%frac(ind_pav_green,m) > 0.0_wp ) THEN
+ 
+
+                 IF ( humidity )  THEN
+                    surf_usm_v(l)%qsws_eb(m)  = - f_qsws * ( qv1 - q_s + dq_s_dt       &
+                                    * t_surf_green_v(l)%t(m) - dq_s_dt *               &
+                                      t_surf_green_v_p(l)%t(m) )
+          
+                    surf_usm_v(l)%qsws(m) = surf_usm_v(l)%qsws_eb(m) / rho_lv
+          
+                    surf_usm_v(l)%qsws_veg(m)  = - f_qsws_veg  * ( qv1 - q_s           &
+                                        + dq_s_dt * t_surf_green_v(l)%t(m) - dq_s_dt   &
+                                        * t_surf_green_v_p(l)%t(m) )
+          
+!                    surf_usm_h%qsws_liq(m)  = - f_qsws_liq  * ( qv1 - q_s         &
+!                                        + dq_s_dt * t_surf_green_h(m) - dq_s_dt   &
+!                                        * t_surf_green_h_p(m) )
+                 ENDIF
+ 
+!
+!--              Calculate the true surface resistance
+                 IF ( .NOT.  humidity )  THEN
+                    surf_usm_v(l)%r_s(m) = 1.0E10_wp
+                 ELSE
+                    surf_usm_v(l)%r_s(m) = - rho_lv * ( qv1 - q_s + dq_s_dt             &
+                                    *  t_surf_green_v(l)%t(m) - dq_s_dt *               &
+                                      t_surf_green_v_p(l)%t(m) ) /                      &
+                                      (surf_usm_v(l)%qsws(m) + 1.0E-20)  - surf_usm_v(l)%r_a(m)
+                 ENDIF
+         
+!
+!--              Calculate change in liquid water reservoir due to dew fall or 
+!--              evaporation of liquid water
+                 IF ( humidity )  THEN
+!
+!--                 If the air is saturated, check the reservoir water level
+                    IF ( surf_usm_v(l)%qsws(m) < 0.0_wp )  THEN
        
 !
-!--    Calculate change in liquid water reservoir due to dew fall or 
-!--    evaporation of liquid water
-       IF ( humidity )  THEN
-!
-!--       If the air is saturated, check the reservoir water level
-          IF ( surf_usm_v(l)%qsws(m) < 0.0_wp )  THEN
-       
-!
-!--          In case qsws_veg becomes negative (unphysical behavior), 
-!--          let the water enter the liquid water reservoir as dew on the
-!--          plant
-             IF ( surf_usm_v(l)%qsws_veg(m) < 0.0_wp )  THEN
-!                 surf_usm_h%qsws_liq(m) = surf_usm_h%qsws_liq(m) + surf_usm_h%qsws_veg(m)
-                surf_usm_v(l)%qsws_veg(m) = 0.0_wp
-             ENDIF
-          ENDIF   
-    ENDIF
-else
-  surf_usm_v(l)%r_s(m) = 1.0E10_wp
-endif !111
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+!--                    In case qsws_veg becomes negative (unphysical behavior), 
+!--                    let the water enter the liquid water reservoir as dew on the
+!--                    plant
+                       IF ( surf_usm_v(l)%qsws_veg(m) < 0.0_wp )  THEN
+          !                 surf_usm_h%qsws_liq(m) = surf_usm_h%qsws_liq(m) + surf_usm_h%qsws_veg(m)
+                          surf_usm_v(l)%qsws_veg(m) = 0.0_wp
+                       ENDIF
+                    ENDIF
+                 
+                 ENDIF
+              ELSE
+                 surf_usm_v(l)%r_s(m) = 1.0E10_wp
+              ENDIF
 
            ENDDO
-
-        ENDDO
+ 
+       ENDDO
 !
 !--     Add-up anthropogenic heat, for now only at upward-facing surfaces
-        IF ( usm_anthropogenic_heat  .AND.  &
-             intermediate_timestep_count == intermediate_timestep_count_max )  THEN
+         IF ( usm_anthropogenic_heat  .AND.  &
+              intermediate_timestep_count == intermediate_timestep_count_max )  THEN
+!
 !--        application of the additional anthropogenic heat sources
 !--        we considere the traffic for now so all heat is absorbed
 !--        to the first layer, generalization would be worth. 
-            
 !--        calculation of actual profile coefficient
 !--        ??? check time_since_reference_point ???
-           dtime = mod(simulated_time + time_utc_init, 24.0_wp*3600.0_wp)
-           dhour = INT(dtime/3600.0_wp)
-           DO i = nxl, nxr
-              DO j = nys, nyn
-                 DO k = nzub, min(nzut,naheatlayers)
-                    IF ( k > get_topography_top_index_ji( j, i, 's' ) ) THEN
+            dtime = mod(simulated_time + time_utc_init, 24.0_wp*3600.0_wp)
+            dhour = INT(dtime/3600.0_wp)
+            DO i = nxl, nxr
+               DO j = nys, nyn
+                  DO k = nzub, min(nzut,naheatlayers)
+                     IF ( k > get_topography_top_index_ji( j, i, 's' ) ) THEN
+!
 !--                    increase of pt in box i,j,k in time dt_3d 
 !--                    given to anthropogenic heat aheat*acoef (W*m-2)
 !--                    linear interpolation of coeficient
-                       acoef = (REAL(dhour+1,wp)-dtime/3600.0_wp)*aheatprof(k,dhour) + &
-                               (dtime/3600.0_wp-REAL(dhour,wp))*aheatprof(k,dhour+1)
-                       IF ( aheat(k,j,i) > 0.0_wp )  THEN
+                        acoef = (REAL(dhour+1,wp)-dtime/3600.0_wp)*aheatprof(k,dhour) + &
+                                (dtime/3600.0_wp-REAL(dhour,wp))*aheatprof(k,dhour+1)
+                        IF ( aheat(k,j,i) > 0.0_wp )  THEN
+!
 !--                       calculate rho * c_p coefficient at layer k
-                          rho_cp  = c_p * hyp(k) / ( r_d * pt(k+1,j,i) * exner(k) )
-                          pt(k,j,i) = pt(k,j,i) + aheat(k,j,i)*acoef*dt_3d/(exner(k)*rho_cp*dz(1))
-                       ENDIF
-                    ENDIF
-                 ENDDO
-              ENDDO
-           ENDDO
-
-        ENDIF
-        
+                           rho_cp  = c_p * hyp(k) / ( r_d * pt(k+1,j,i) * exner(k) )
+                           pt(k,j,i) = pt(k,j,i) + aheat(k,j,i)*acoef*dt_3d/(exner(k)*rho_cp*dz(1))
+                        ENDIF
+                     ENDIF
+                  ENDDO
+               ENDDO
+            ENDDO
+ 
+         ENDIF
+!
 !--     pt and shf are defined on nxlg:nxrg,nysg:nyng
 !--     get the borders from neighbours
-        CALL exchange_horiz( pt, nbgp )
-
+         CALL exchange_horiz( pt, nbgp )
+! 
 !--     calculation of force_radiation_call:
 !--     Make logical OR for all processes.
 !--     Force radiation call if at least one processor forces it.
-        IF ( intermediate_timestep_count == intermediate_timestep_count_max-1 )&
-        THEN
+         IF ( intermediate_timestep_count == intermediate_timestep_count_max-1 )&
+         THEN
 #if defined( __parallel )
-          IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( force_radiation_call_l, force_radiation_call,    &
-                              1, MPI_LOGICAL, MPI_LOR, comm2d, ierr )
+           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
+           CALL MPI_ALLREDUCE( force_radiation_call_l, force_radiation_call,    &
+                               1, MPI_LOGICAL, MPI_LOR, comm2d, ierr )
 #else
-          force_radiation_call = force_radiation_call_l
+           force_radiation_call = force_radiation_call_l
 #endif
-          force_radiation_call_l = .FALSE.
-       ENDIF
-
+           force_radiation_call_l = .FALSE.
+         ENDIF
+ 
 ! !
 ! !-- Calculate surface specific humidity
@@ -8464,104 +8494,105 @@
 !        CALL calc_q_surface_usm
 !     ENDIF
-
-
-    CONTAINS
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Calculation of specific humidity of the skin layer (surface). It is assumend
-!> that the skin is always saturated.
-!------------------------------------------------------------------------------!
-       SUBROUTINE calc_q_surface_usm
-
-          IMPLICIT NONE
-
-          REAL(wp) :: resistance    !< aerodynamic and soil resistance term
-
-          DO  m = 1, surf_usm_h%ns
-
-             i   = surf_usm_h%i(m)            
-             j   = surf_usm_h%j(m)
-             k   = surf_usm_h%k(m)
-
+ 
+ 
+     CONTAINS
+ !------------------------------------------------------------------------------!
+ ! Description:
+ ! ------------
+ !> Calculation of specific humidity of the skin layer (surface). It is assumend
+ !> that the skin is always saturated.
+ !------------------------------------------------------------------------------!
+        SUBROUTINE calc_q_surface_usm
+ 
+           IMPLICIT NONE
+ 
+           REAL(wp) :: resistance    !< aerodynamic and soil resistance term
+ 
+           DO  m = 1, surf_usm_h%ns
+ 
+              i   = surf_usm_h%i(m)            
+              j   = surf_usm_h%j(m)
+              k   = surf_usm_h%k(m)
+ 
 !
 !--          Calculate water vapour pressure at saturation
-             e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp *                  &
-                                    ( t_surf_green_h_p(m) - 273.16_wp ) /  &
-                                    ( t_surf_green_h_p(m) - 35.86_wp  )    &
-                                         )
-
+              e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp *                  &
+                                     ( t_surf_green_h_p(m) - 273.16_wp ) /  &
+                                     ( t_surf_green_h_p(m) - 35.86_wp  )    &
+                                          )
+ 
 !
 !--          Calculate specific humidity at saturation
-             q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
-
-!              surf_usm_h%r_a_green(m) = ( surf_usm_h%pt1(m) - t_surf_green_h(m) / exner(k) ) /                  &
+              q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
+ 
+!              surf_usm_h%r_a_green(m) = ( surf_usm_h%pt1(m) - t_surf_green_h(m) / exner(k) ) /  &
 !                    ( surf_usm_h%ts(m) * surf_usm_h%us(m) + 1.0E-10_wp )
 !                 
 ! !--          make sure that the resistance does not drop to zero
 !              IF ( ABS(surf_usm_h%r_a_green(m)) < 1.0E-10_wp )  surf_usm_h%r_a_green(m) = 1.0E-10_wp
-
-             resistance = surf_usm_h%r_a_green(m) / ( surf_usm_h%r_a_green(m) + surf_usm_h%r_s(m) + 1E-5_wp )
-
+ 
+              resistance = surf_usm_h%r_a_green(m) / ( surf_usm_h%r_a_green(m) + surf_usm_h%r_s(m) + 1E-5_wp )
+ 
 !
 !--          Calculate specific humidity at surface
-             IF ( bulk_cloud_model )  THEN
-                q(k,j,i) = resistance * q_s +                   &
-                                           ( 1.0_wp - resistance ) *              &
-                                           ( q(k,j,i) - ql(k,j,i) )
-             ELSE
-                q(k,j,i) = resistance * q_s +                   &
-                                           ( 1.0_wp - resistance ) *              &
-                                             q(k,j,i)
-             ENDIF
-
+              IF ( bulk_cloud_model )  THEN
+                 q(k,j,i) = resistance * q_s +                   &
+                                            ( 1.0_wp - resistance ) *              &
+                                            ( q(k,j,i) - ql(k,j,i) )
+              ELSE
+                 q(k,j,i) = resistance * q_s +                   &
+                                            ( 1.0_wp - resistance ) *              &
+                                              q(k,j,i)
+              ENDIF
+ 
 !
 !--          Update virtual potential temperature
-             vpt(k,j,i) = pt(k,j,i) *         &
-                        ( 1.0_wp + 0.61_wp * q(k,j,i) )
-
-          ENDDO
-
+              vpt(k,j,i) = pt(k,j,i) *         &
+                         ( 1.0_wp + 0.61_wp * q(k,j,i) )
+ 
+           ENDDO
+
+!
 !--       Now, treat vertical surface elements
-          DO  l = 0, 3
-             DO  m = 1, surf_usm_v(l)%ns
+           DO  l = 0, 3
+              DO  m = 1, surf_usm_v(l)%ns
 !
 !--             Get indices of respective grid point
-                i = surf_usm_v(l)%i(m)
-                j = surf_usm_v(l)%j(m)
-                k = surf_usm_v(l)%k(m)
-
+                 i = surf_usm_v(l)%i(m)
+                 j = surf_usm_v(l)%j(m)
+                 k = surf_usm_v(l)%k(m)
+ 
 !
 !--             Calculate water vapour pressure at saturation
-                e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp *                       &
-                                       ( t_surf_green_v_p(l)%t(m) - 273.16_wp ) /  &
-                                       ( t_surf_green_v_p(l)%t(m) - 35.86_wp  )    &
-                                            )
-
+                 e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp *                       &
+                                        ( t_surf_green_v_p(l)%t(m) - 273.16_wp ) /  &
+                                        ( t_surf_green_v_p(l)%t(m) - 35.86_wp  )    &
+                                             )
+ 
 !
 !--             Calculate specific humidity at saturation
-                q_s = 0.622_wp * e_s / ( surface_pressure -e_s )
-
+                 q_s = 0.622_wp * e_s / ( surface_pressure -e_s )
+ 
 !
 !--             Calculate specific humidity at surface
-                IF ( bulk_cloud_model )  THEN
-                   q(k,j,i) = ( q(k,j,i) - ql(k,j,i) )
-                ELSE
-                   q(k,j,i) = q(k,j,i)
-                ENDIF
+                 IF ( bulk_cloud_model )  THEN
+                    q(k,j,i) = ( q(k,j,i) - ql(k,j,i) )
+                 ELSE
+                    q(k,j,i) = q(k,j,i)
+                 ENDIF
 !
 !--             Update virtual potential temperature
-                vpt(k,j,i) = pt(k,j,i) *         &
-                           ( 1.0_wp + 0.61_wp * q(k,j,i) )
-
-             ENDDO
-
-          ENDDO
-
-       END SUBROUTINE calc_q_surface_usm
-       
-    END SUBROUTINE usm_surface_energy_balance
-
-
+                 vpt(k,j,i) = pt(k,j,i) *         &
+                            ( 1.0_wp + 0.61_wp * q(k,j,i) )
+ 
+              ENDDO
+ 
+           ENDDO
+ 
+        END SUBROUTINE calc_q_surface_usm
+        
+     END SUBROUTINE usm_surface_energy_balance
+ 
+ 
 !------------------------------------------------------------------------------!
 ! Description:
@@ -8570,51 +8601,51 @@
 !> called out from subroutine swap_timelevel
 !------------------------------------------------------------------------------!
-    SUBROUTINE usm_swap_timelevel( mod_count )
-
-       IMPLICIT NONE
-
-       INTEGER(iwp), INTENT(IN) ::  mod_count
-
-      
-       SELECT CASE ( mod_count )
-
-          CASE ( 0 )
+     SUBROUTINE usm_swap_timelevel( mod_count )
+ 
+        IMPLICIT NONE
+ 
+        INTEGER(iwp), INTENT(IN) ::  mod_count
+ 
+       
+        SELECT CASE ( mod_count )
+ 
+           CASE ( 0 )
 !
 !--          Horizontal surfaces
-             t_surf_wall_h  => t_surf_wall_h_1; t_surf_wall_h_p  => t_surf_wall_h_2
-             t_wall_h     => t_wall_h_1;    t_wall_h_p     => t_wall_h_2
-             t_surf_window_h  => t_surf_window_h_1; t_surf_window_h_p  => t_surf_window_h_2
-             t_window_h     => t_window_h_1;    t_window_h_p     => t_window_h_2
-             t_surf_green_h  => t_surf_green_h_1; t_surf_green_h_p  => t_surf_green_h_2
-             t_green_h     => t_green_h_1;    t_green_h_p     => t_green_h_2
+              t_surf_wall_h    => t_surf_wall_h_1;   t_surf_wall_h_p    => t_surf_wall_h_2
+              t_wall_h         => t_wall_h_1;        t_wall_h_p         => t_wall_h_2
+              t_surf_window_h  => t_surf_window_h_1; t_surf_window_h_p  => t_surf_window_h_2
+              t_window_h       => t_window_h_1;      t_window_h_p       => t_window_h_2
+              t_surf_green_h   => t_surf_green_h_1;  t_surf_green_h_p   => t_surf_green_h_2
+              t_green_h        => t_green_h_1;       t_green_h_p        => t_green_h_2
 !
 !--          Vertical surfaces
-             t_surf_wall_v  => t_surf_wall_v_1; t_surf_wall_v_p  => t_surf_wall_v_2
-             t_wall_v     => t_wall_v_1;    t_wall_v_p     => t_wall_v_2
-             t_surf_window_v  => t_surf_window_v_1; t_surf_window_v_p  => t_surf_window_v_2
-             t_window_v     => t_window_v_1;    t_window_v_p     => t_window_v_2
-             t_surf_green_v  => t_surf_green_v_1; t_surf_green_v_p  => t_surf_green_v_2
-             t_green_v     => t_green_v_1;    t_green_v_p     => t_green_v_2
-          CASE ( 1 )
+              t_surf_wall_v    => t_surf_wall_v_1;   t_surf_wall_v_p    => t_surf_wall_v_2
+              t_wall_v         => t_wall_v_1;        t_wall_v_p         => t_wall_v_2
+              t_surf_window_v  => t_surf_window_v_1; t_surf_window_v_p  => t_surf_window_v_2
+              t_window_v       => t_window_v_1;      t_window_v_p       => t_window_v_2
+              t_surf_green_v   => t_surf_green_v_1;  t_surf_green_v_p   => t_surf_green_v_2
+              t_green_v        => t_green_v_1;       t_green_v_p        => t_green_v_2
+           CASE ( 1 )
 !
 !--          Horizontal surfaces
-             t_surf_wall_h  => t_surf_wall_h_2; t_surf_wall_h_p  => t_surf_wall_h_1
-             t_wall_h     => t_wall_h_2;    t_wall_h_p     => t_wall_h_1
-             t_surf_window_h  => t_surf_window_h_2; t_surf_window_h_p  => t_surf_window_h_1
-             t_window_h     => t_window_h_2;    t_window_h_p     => t_window_h_1
-             t_surf_green_h  => t_surf_green_h_2; t_surf_green_h_p  => t_surf_green_h_1
-             t_green_h     => t_green_h_2;    t_green_h_p     => t_green_h_1
+              t_surf_wall_h    => t_surf_wall_h_2;   t_surf_wall_h_p    => t_surf_wall_h_1
+              t_wall_h         => t_wall_h_2;        t_wall_h_p         => t_wall_h_1
+              t_surf_window_h  => t_surf_window_h_2; t_surf_window_h_p  => t_surf_window_h_1
+              t_window_h       => t_window_h_2;      t_window_h_p       => t_window_h_1
+              t_surf_green_h   => t_surf_green_h_2;  t_surf_green_h_p   => t_surf_green_h_1
+              t_green_h        => t_green_h_2;       t_green_h_p        => t_green_h_1
 !
 !--          Vertical surfaces
-             t_surf_wall_v  => t_surf_wall_v_2; t_surf_wall_v_p  => t_surf_wall_v_1
-             t_wall_v     => t_wall_v_2;    t_wall_v_p     => t_wall_v_1
-             t_surf_window_v  => t_surf_window_v_2; t_surf_window_v_p  => t_surf_window_v_1
-             t_window_v     => t_window_v_2;    t_window_v_p     => t_window_v_1
-             t_surf_green_v  => t_surf_green_v_2; t_surf_green_v_p  => t_surf_green_v_1
-             t_green_v     => t_green_v_2;    t_green_v_p     => t_green_v_1
-       END SELECT
-        
-    END SUBROUTINE usm_swap_timelevel
-
+              t_surf_wall_v    => t_surf_wall_v_2;   t_surf_wall_v_p    => t_surf_wall_v_1
+              t_wall_v         => t_wall_v_2;        t_wall_v_p         => t_wall_v_1
+              t_surf_window_v  => t_surf_window_v_2; t_surf_window_v_p  => t_surf_window_v_1
+              t_window_v       => t_window_v_2;      t_window_v_p       => t_window_v_1
+              t_surf_green_v   => t_surf_green_v_2;  t_surf_green_v_p   => t_surf_green_v_1
+              t_green_v        => t_green_v_2;       t_green_v_p        => t_green_v_1
+        END SELECT
+         
+     END SUBROUTINE usm_swap_timelevel
+ 
 !------------------------------------------------------------------------------!
 ! Description:
@@ -8622,93 +8653,93 @@
 !> Subroutine writes t_surf and t_wall data into restart files
 !------------------------------------------------------------------------------!
-    SUBROUTINE usm_wrd_local
-
-    
-       IMPLICIT NONE
-       
-       CHARACTER(LEN=1) ::  dum     !< dummy string to create output-variable name  
-       INTEGER(iwp)     ::  l       !< index surface type orientation
-
-       CALL wrd_write_string( 'ns_h_on_file_usm' )
-       WRITE ( 14 )  surf_usm_h%ns
-
-       CALL wrd_write_string( 'ns_v_on_file_usm' )
-       WRITE ( 14 )  surf_usm_v(0:3)%ns
-
-       CALL wrd_write_string( 'usm_start_index_h' )
-       WRITE ( 14 )  surf_usm_h%start_index
-
-       CALL wrd_write_string( 'usm_end_index_h' )
-       WRITE ( 14 )  surf_usm_h%end_index
-
-       CALL wrd_write_string( 't_surf_wall_h' )
-       WRITE ( 14 )  t_surf_wall_h
-
-       CALL wrd_write_string( 't_surf_window_h' )
-       WRITE ( 14 )  t_surf_window_h
-
-       CALL wrd_write_string( 't_surf_green_h' )
-       WRITE ( 14 )  t_surf_green_h
-
-       DO  l = 0, 3
-
-          CALL wrd_write_string( 'usm_start_index_v' )
-          WRITE ( 14 )  surf_usm_v(l)%start_index
-
-          CALL wrd_write_string( 'usm_end_index_v' )
-          WRITE ( 14 )  surf_usm_v(l)%end_index
-
-          WRITE( dum, '(I1)')  l          
-
-          CALL wrd_write_string( 't_surf_wall_v(' // dum // ')' )
-          WRITE ( 14 )  t_surf_wall_v(l)%t
-
-          CALL wrd_write_string( 't_surf_window_v(' // dum // ')' )
-          WRITE ( 14 ) t_surf_window_v(l)%t     
-
-          CALL wrd_write_string( 't_surf_green_v(' // dum // ')' )
-          WRITE ( 14 ) t_surf_green_v(l)%t    
-          
-       ENDDO
-
-       CALL wrd_write_string( 'usm_start_index_h' )
-       WRITE ( 14 )  surf_usm_h%start_index
-
-       CALL wrd_write_string( 'usm_end_index_h' )
-       WRITE ( 14 )  surf_usm_h%end_index
-
-       CALL wrd_write_string( 't_wall_h' )
-       WRITE ( 14 )  t_wall_h
-
-       CALL wrd_write_string( 't_window_h' )
-       WRITE ( 14 )  t_window_h
-
-       CALL wrd_write_string( 't_green_h' )
-       WRITE ( 14 )  t_green_h
-
-       DO  l = 0, 3
-
-          CALL wrd_write_string( 'usm_start_index_v' )
-          WRITE ( 14 )  surf_usm_v(l)%start_index
-
-          CALL wrd_write_string( 'usm_end_index_v' )
-          WRITE ( 14 )  surf_usm_v(l)%end_index
-
-          WRITE( dum, '(I1)')  l     
-
-          CALL wrd_write_string( 't_wall_v(' // dum // ')' )
-          WRITE ( 14 )  t_wall_v(l)%t
-
-          CALL wrd_write_string( 't_window_v(' // dum // ')' )
-          WRITE ( 14 )  t_window_v(l)%t
-
-          CALL wrd_write_string( 't_green_v(' // dum // ')' )
-          WRITE ( 14 )  t_green_v(l)%t
-       
-       ENDDO
-
-       
-    END SUBROUTINE usm_wrd_local
-
-  
- END MODULE urban_surface_mod
+     SUBROUTINE usm_wrd_local
+ 
+     
+        IMPLICIT NONE
+        
+        CHARACTER(LEN=1) ::  dum     !< dummy string to create output-variable name  
+        INTEGER(iwp)     ::  l       !< index surface type orientation
+ 
+        CALL wrd_write_string( 'ns_h_on_file_usm' )
+        WRITE ( 14 )  surf_usm_h%ns
+ 
+        CALL wrd_write_string( 'ns_v_on_file_usm' )
+        WRITE ( 14 )  surf_usm_v(0:3)%ns
+ 
+        CALL wrd_write_string( 'usm_start_index_h' )
+        WRITE ( 14 )  surf_usm_h%start_index
+ 
+        CALL wrd_write_string( 'usm_end_index_h' )
+        WRITE ( 14 )  surf_usm_h%end_index
+ 
+        CALL wrd_write_string( 't_surf_wall_h' )
+        WRITE ( 14 )  t_surf_wall_h
+ 
+        CALL wrd_write_string( 't_surf_window_h' )
+        WRITE ( 14 )  t_surf_window_h
+ 
+        CALL wrd_write_string( 't_surf_green_h' )
+        WRITE ( 14 )  t_surf_green_h
+ 
+        DO  l = 0, 3
+ 
+           CALL wrd_write_string( 'usm_start_index_v' )
+           WRITE ( 14 )  surf_usm_v(l)%start_index
+ 
+           CALL wrd_write_string( 'usm_end_index_v' )
+           WRITE ( 14 )  surf_usm_v(l)%end_index
+ 
+           WRITE( dum, '(I1)')  l          
+ 
+           CALL wrd_write_string( 't_surf_wall_v(' // dum // ')' )
+           WRITE ( 14 )  t_surf_wall_v(l)%t
+ 
+           CALL wrd_write_string( 't_surf_window_v(' // dum // ')' )
+           WRITE ( 14 ) t_surf_window_v(l)%t     
+ 
+           CALL wrd_write_string( 't_surf_green_v(' // dum // ')' )
+           WRITE ( 14 ) t_surf_green_v(l)%t    
+           
+        ENDDO
+ 
+        CALL wrd_write_string( 'usm_start_index_h' )
+        WRITE ( 14 )  surf_usm_h%start_index
+ 
+        CALL wrd_write_string( 'usm_end_index_h' )
+        WRITE ( 14 )  surf_usm_h%end_index
+ 
+        CALL wrd_write_string( 't_wall_h' )
+        WRITE ( 14 )  t_wall_h
+ 
+        CALL wrd_write_string( 't_window_h' )
+        WRITE ( 14 )  t_window_h
+ 
+        CALL wrd_write_string( 't_green_h' )
+        WRITE ( 14 )  t_green_h
+ 
+        DO  l = 0, 3
+ 
+           CALL wrd_write_string( 'usm_start_index_v' )
+           WRITE ( 14 )  surf_usm_v(l)%start_index
+ 
+           CALL wrd_write_string( 'usm_end_index_v' )
+           WRITE ( 14 )  surf_usm_v(l)%end_index
+ 
+           WRITE( dum, '(I1)')  l     
+ 
+           CALL wrd_write_string( 't_wall_v(' // dum // ')' )
+           WRITE ( 14 )  t_wall_v(l)%t
+ 
+           CALL wrd_write_string( 't_window_v(' // dum // ')' )
+           WRITE ( 14 )  t_window_v(l)%t
+ 
+           CALL wrd_write_string( 't_green_v(' // dum // ')' )
+           WRITE ( 14 )  t_green_v(l)%t
+        
+        ENDDO
+ 
+        
+     END SUBROUTINE usm_wrd_local
+ 
+   
+  END MODULE urban_surface_mod
